Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Every version I have tried to download in attempting to upgrade from 2.0.0.20 has failed to install or been rejected to download. This includes Firefox 5, 6.0b5, and 3. I run OS X 5.0

  • 2 replies
  • 1 has this problem
  • 5 views
  • Last reply by James

more options

Had been running OS X 10.3/Firefox 2.0.0.20. Recently installed OS X 5.0. I must upgrade Firefox (Ffx) because of Yahoo mail. Saw an upgrade link on Yahoo about Ffx 5, so I clicked. It downloaded a diskimage. Got a failure message from that when it tried to install, something like "Unrecognized diskimage". Deleted the diskimage package. Periodically I had been getting pop up windows from Ffx to upgrade to Ffx 3. Got one of those again, so I clicked. It was rejected - unsupported on my machine, or something like that. Clicked on a "moreinfo" link on that pop up, and eventually it ended up downloading Ffx 6.0b5. After installing, the Ffx logo that was so be moved to the Application Folder had a circle with a slash; moved it anyway, but it will not execute - not supported on my machine. Now what? (I have dialup service, so downloading this stuff takes hours; I need something that works.)

All Replies (1)

more options

The last version to work on PPC Macs is the Firefox 3.6.* which can be found at http://www.mozilla.com/en-US/firefox/all-older.html

As of Firefox 4.0 and newer a OSX 10.5+ and a Intel is required.

http://www.mozilla.com/en-US/firefox/5.0/system-requirements/ http://www.mozilla.com/en-US/firefox/4.0/system-requirements/ http://www.mozilla.com/en-US/firefox/3.6/system-requirements/

There is a third-party project to have builds for PPC Macs at www.tenfourfox.com however the site is down at moment so you can get Firefox 5.0 at http://code.google.com/p/tenfourfox/downloads/list

Ignore the 4.0.2/4.0.3 builds as none really exist as last from Mozilla was 4.0.1. Also ignore the builds with beta beside as they are old, including the 6.0b1 as b5 is current.

Modified by James